repos:
  - repo: https://github.com/psf/black
    rev: 23.10.1
    hooks:
    - id: black
  - repo: https://github.com/PyCQA/isort
    rev: 5.12.0
    hooks:
      - id: isort
  - repo: https://github.com/PyCQA/flake8
    rev: 6.1.0
    hooks:
      - id: flake8
  - repo: https://github.com/python-poetry/poetry
    rev: '1.6.0'
    hooks:
      - id: poetry-check
      - id: poetry-lock
